<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>com.sk89q.worldedit.function (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.sk89q.worldedit.function (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/extent/world/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../com/sk89q/worldedit/function/biome/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/function/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;com.sk89q.worldedit.function</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/function/Contextual.html" title="interface in com.sk89q.worldedit.function">Contextual</a>&lt;T&gt;</td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/function/EntityFunction.html" title="interface in com.sk89q.worldedit.function">EntityFunction</a></td>
<td class="colLast">
<div class="block">Applies a function to entities.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/function/FlatRegionFunction.html" title="interface in com.sk89q.worldedit.function">FlatRegionFunction</a></td>
<td class="colLast">
<div class="block">Performs a function on the columns in a <a href="../../../../com/sk89q/worldedit/regions/FlatRegion.html" title="interface in com.sk89q.worldedit.regions"><code>FlatRegion</code></a>, or also
 known as vectors with only X and Z components (where Y is height).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/function/LayerFunction.html" title="interface in com.sk89q.worldedit.function">LayerFunction</a></td>
<td class="colLast">
<div class="block">A function that takes a position and a depth.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/function/RegionFunction.html" title="interface in com.sk89q.worldedit.function">RegionFunction</a></td>
<td class="colLast">
<div class="block">Performs a function on points in a region.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/function/CombinedRegionFunction.html" title="class in com.sk89q.worldedit.function">CombinedRegionFunction</a></td>
<td class="colLast">
<div class="block">Executes several region functions in order.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/function/EditContext.html" title="class in com.sk89q.worldedit.function">EditContext</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/function/FlatRegionMaskingFilter.html" title="class in com.sk89q.worldedit.function">FlatRegionMaskingFilter</a></td>
<td class="colLast">
<div class="block">Passes calls to <a href="../../../../com/sk89q/worldedit/function/FlatRegionMaskingFilter.html#apply-com.sk89q.worldedit.math.BlockVector2-"><code>FlatRegionMaskingFilter.apply(BlockVector2)</code></a> to the
 delegate <a href="../../../../com/sk89q/worldedit/function/FlatRegionFunction.html" title="interface in com.sk89q.worldedit.function"><code>FlatRegionFunction</code></a> if they
 match the given mask.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/function/GroundFunction.html" title="class in com.sk89q.worldedit.function">GroundFunction</a></td>
<td class="colLast">
<div class="block">Applies a <a href="../../../../com/sk89q/worldedit/function/RegionFunction.html" title="interface in com.sk89q.worldedit.function"><code>RegionFunction</code></a> to the first ground block.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/function/ItemUseFunction.html" title="class in com.sk89q.worldedit.function">ItemUseFunction</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../com/sk89q/worldedit/function/RegionMaskingFilter.html" title="class in com.sk89q.worldedit.function">RegionMaskingFilter</a></td>
<td class="colLast">
<div class="block">Passes calls to <a href="../../../../com/sk89q/worldedit/function/RegionMaskingFilter.html#apply-com.sk89q.worldedit.math.BlockVector3-"><code>RegionMaskingFilter.apply(BlockVector3)</code></a> to the
 delegate <a href="../../../../com/sk89q/worldedit/function/RegionFunction.html" title="interface in com.sk89q.worldedit.function"><code>RegionFunction</code></a> if they
 match the given mask.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/extent/world/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../com/sk89q/worldedit/function/biome/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/function/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
